# EnumeratorAsyncExtensions Class | UniTask

Show / Hide Table of Contents

# EnumeratorAsyncExtensions Class

###### Namespace: Cysharp.Threading.Tasks

###### Assembly: cs.temp.dll.dll

    public static class EnumeratorAsyncExtensions

##### Inheritance

System.Object → EnumeratorAsyncExtensions

### Members

#### Methods

Name | Description
--- | ---
ConfigureAwait(IEnumerator, PlayerLoopTiming, CancellationToken) |
GetAwaiter(IEnumerator) |
ToUniTask(IEnumerator) |

### Methods

#### ConfigureAwait(IEnumerator, PlayerLoopTiming, CancellationToken)

    public static UniTask ConfigureAwait(this IEnumerator enumerator, PlayerLoopTiming timing = PlayerLoopTiming.Update, CancellationToken cancellationToken = default(CancellationToken))

##### Parameters

`enumerator` IEnumerator
`timing` PlayerLoopTiming
`cancellationToken` System.Threading.CancellationToken

##### Returns

UniTask

#### GetAwaiter(IEnumerator)

    public static UniTask.Awaiter GetAwaiter(this IEnumerator enumerator)

##### Parameters

`enumerator` IEnumerator

##### Returns

UniTask.Awaiter

#### ToUniTask(IEnumerator)

    public static UniTask ToUniTask(this IEnumerator enumerator)

##### Parameters

`enumerator` IEnumerator

##### Returns

UniTask